# class MimeBinaryBody | MIME for obscure binary data. More...
Full name | `TelEngine::MimeBinaryBody`
Definition | `#include <yatemime.h>`
Inherits | TelEngine::MimeBody [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MimeBinaryBody (const String& type, const char* buf, int len)
- MimeBinaryBody (const MimeHeaderLine& type, const char* buf, int len)
- virtual ~MimeBinaryBody ()
- virtual void* getObject (const String& name) const
- virtual MimeBody* clone () const

#### Protected Methods

- MimeBinaryBody (const MimeBinaryBody& original)
- virtual void buildBody () const

## Detailed Description

An object holding a binary block of MIME data

MimeBinaryBody (const String& type, const char* buf, int len) | ### MimeBinaryBody

Constructor from block of data

Parameters:

type | The value of the Content-Type header line
buf | Pointer to buffer of data
len | Length of data in buffer

MimeBinaryBody (const MimeHeaderLine& type, const char* buf, int len) | ### MimeBinaryBody

Constructor from block of data

Parameters:

type | The content type header line
buf | Pointer to buffer of data
len | Length of data in buffer

~MimeBinaryBody () | ### ~MimeBinaryBody

[virtual]

Destructor

void* getObject (const String& name) | ### getObject

[const virtual]

RTTI method, get a pointer to a derived class given the class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

MimeBody* clone () | ### clone

[const virtual]

Duplicate this MIME body

Returns: Copy of this MIME body - a new MimeBinaryBody

Reimplemented from MimeBody.

MimeBinaryBody (const MimeBinaryBody& original) | ### MimeBinaryBody

[protected]

Copy constructor

void buildBody () | ### buildBody

[protected const virtual]

Override that is called internally to build the binary encoded body

Reimplemented from MimeBody.

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.